/* Developed for Lenovo Educational Board Pass 3
   © Lenovo Created by Joshua Grosser
   v. 2.0 */

#include "WiFi.h"

void setup()
{
    Serial.begin(115200); // set baud rate to 115200
    // Set WiFi to station mode 
    // and disconnect from an access point if it was previously connected
    WiFi.mode(WIFI_STA);
    WiFi.disconnect();
    delay(100);
    Serial.println("Setup done");
}

void loop()
{
    Serial.println("scan start");
    // WiFi.scanNetworks will return the number of networks found
    int n = WiFi.scanNetworks();
    Serial.println("scan done");
    if (n == 0) {
        Serial.println("no networks found");
    } else {
        Serial.print(n);
        Serial.println(" networks found");
        for (int i = 0; i < n; ++i) {
            // Print SSID and RSSI for each network found
            Serial.print(i + 1);
            Serial.print(": ");
            Serial.print(WiFi.SSID(i)); // SSID denotes the WiFi name
            Serial.print(" (");
            Serial.print(WiFi.RSSI(i)); // RSSI denotes the strength of the network 0 is near/-100 is far
            Serial.print(")");
            Serial.println();
            delay(10);
        }
    }
    Serial.println("");
    // Wait 5 seconds before scanning again
    delay(5000);
}
